Page MenuHomePhabricator

Enable Local File Uploads for Sysop in Doteli Wikipedia (dtywiki)
Closed, DeclinedPublic

Description

Hi,
Please enable local file uploads for sysops in doteli wikipedia so they can upload Non-free media to local wikipedia with Non-free use rationale guideline.

Local Community Discussion: link

Regards
Saroj Uprety

Event Timeline

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptSep 26 2017, 5:37 AM
Restricted Application added subscribers: Jayprakash12345, Aklapper. · View Herald Transcript
Jayprakash12345 added a subscriber: Urbanecm.
Jayprakash12345 removed subscribers: Urbanecm, gerritbot.

@Dereckson Sir, Can you see this wiki allow local upload or not.

Jayprakash12345 removed Jayprakash12345 as the assignee of this task.Sep 26 2017, 7:20 AM

Change 380690 had a related patch set uploaded (by Jayprakash12345):
Enable Local File Uploads for Sysop in Doteli Wikipedia

https://gerrit.wikimedia.org/r/#/c/380690/

Enabling local uploads on a public project requires not only community consensus but an approved Exemption Doctrine Policy. Otherwise uploading copyrighted content to the project just puts editors at risk for claims on copyright infringement, and the WMF on having to process possible DMCA claims as well. See https://wikimediafoundation.org/wiki/Resolution:Licensing_policy -- until such time, I don't think we can proceed with enabling local uploads.

What's the root problem you're trying to solve? We can offer you the best course of action depending of that.

Change 380690 abandoned by Jayprakash12345:
Restrict local uploads on dty.wikipedia

Reason:
No EDP for dty.wikipedia

https://gerrit.wikimedia.org/r/380690

Saroj_Uprety updated the task description. (Show Details)Oct 6 2017, 7:34 AM

These articles need to upload non-free photos. So please enable upload feature in Dotley Wikipedia.

  • ५८औं राष्ट्रिय चलचित्र पुरस्कार
  • मिस्टर परफेक्ट (चलचित्र)
  • बाहुबली २: दी कन्क्लुजन

We can't. The Board resolution on Licensing and the Terms of Use require free files only, unless the wiki has an EDP, which dty has not. Decline at this point?

There are no ways to solve the problem.

Then, What can be done to solve this problem?

SimmeD added a subscriber: SimmeD.Oct 19 2017, 6:29 AM
tomasz removed a subscriber: tomasz.Oct 30 2017, 4:49 PM
Liuxinyu970226 changed the task status from Open to Stalled.Jan 12 2018, 6:11 AM

stall until the necessary policies created and verified.

MarcoAurelio triaged this task as Lowest priority.Feb 19 2018, 10:48 PM
Aklapper closed this task as Declined.Sat, May 16, 5:42 PM

No policies has been created in the last 2.5 years hence unfortunately closing this Phabricator task.

@Saroj_Uprety: After a policy has been created and if this is still wanted, please set the status of this task back to "Open" via the Add Action...Change Status dropdown and provide a link to the policy. Thanks!